# Header-only library
%global debug_package %{nil}

%global common_description %{expand:
Lager is a C++ library to assist value-oriented design by implementing the
unidirectional data-flow architecture. It is heavily inspired by Elm and Redux,
and enables composable designs by promoting the use of simple value types and
testable application logic via pure functions. And you get time-travel for
free!.}

Name:           lager
Version:        0.1.1
Release:        %autorelease
Summary:        Library for value-oriented design using unidirectional data-flow architecture

# MIT: main library
# OFL-1.1-RFN: resources/SourceSansPro*
License:        MIT AND OFL-1.1-RFN
URL:            https://sinusoid.es/lager/
VCS:            https://github.com/arximboldi/lager
Source:         %vcs/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  boost-devel
BuildRequires:  cmake
BuildRequires:  cmake(Immer)
BuildRequires:  cmake(Zug)
BuildRequires:  doxygen
BuildRequires:  gcc-c++
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Qml)
BuildRequires:  pkgconfig(Qt5Quick)
BuildRequires:  pkgconfig(Qt5QuickControls2)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(SDL2_ttf)
BuildRequires:  pkgconfig(catch2)
BuildRequires:  pkgconfig(ncurses)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  rubygem-sass

%description    %{common_description}

%package        devel
Summary:        Library for value-oriented design using unidirectional data-flow architecture
Provides:       lager-static%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description    devel %{common_description}


%prep
%autosetup -p1 -n %{name}-%{version}

%build
%{cmake}
%{cmake_build}

%install
%{cmake_install}

%files devel
%license LICENSE
%doc README.rst example/
%{_datadir}/lager/
%{_libdir}/cmake/Lager/
%{_includedir}/lager/

%changelog
%autochangelog
